libcli/ldap: use lib/ldb_compat.h for the s3 build